#!/bin/sh

set -e

htmlfile="$1"quickref.html

echo Generate the Mathomatic Quick Reference Sheet PDF file.

echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 TRANSITIONAL//EN\">" >"$htmlfile"
echo '<html>' >>"$htmlfile"
echo '<head>' >>"$htmlfile"
echo '<title>Mathomatic Quick Reference Sheet</title>' >>"$htmlfile"
echo '</head>' >>"$htmlfile"
echo '<body>' >>"$htmlfile"
echo '<pre>' >>"$htmlfile"

./mathomatic -e "help all equations constants >>$htmlfile" || exit
echo >>"$htmlfile"
echo "For more information visit <a href=\"http://www.mathomatic.org\">www.mathomatic.org</a>" >>"$htmlfile"

echo '</pre>' >>"$htmlfile"
echo '</body>' >>"$htmlfile"
echo '</html>' >>"$htmlfile"

htmldoc --webpage --format pdf --linkstyle plain --no-links -f quickref.pdf "$htmlfile"
rm "$htmlfile"
echo quickref.pdf created.
